Skip to content
Permalink
Browse files
AMBARI-25205. hdfs_to_onefs_convert.py script missing HDP3.1 + upgrad…
…e logic (amagyar) (#2940)

* AMBARI-25205. hdfs_to_onefs_convert.py script missing HDP3.1 + upgrade logic (amagyar)
  • Loading branch information
zeroflag committed Apr 18, 2019
1 parent e694998 commit 9236f4ab966f40d93e27c44f9078bb204a6c591a
Showing 1 changed file with 3 additions and 4 deletions.
@@ -370,14 +370,13 @@ class Conversion:
def __init__(self, cluster, storage):
self.cluster = cluster
self.storage = storage
self.supported_stacks = ['HDP-3.0']

def check_prerequisites(self):
print 'Checking %s' % self.cluster
ver = self.cluster.version()
print 'Found stack %s' % ver
if ver not in self.supported_stacks:
print 'Only %s stacks are supported.' % self.supported_stacks
if not ver.startswith('HDP-3.'):
print 'Only HDP-3.x stacks are supported.'
return False
if not self.cluster.installed_stack().has_service('ONEFS'):
print 'ONEFS management pack is not installed.'
@@ -522,7 +521,7 @@ def parse_options(self):
print 'The following prerequisites are required:'
print ' * ONEFS management package must be installed'
print ' * Ambari must be upgraded to >=v2.7.0'
print ' * Stack must be upgraded to HDP-3.0'
print ' * Stack must be upgraded to >=HDP-3.0'
print ' * Is highly recommended to backup ambari database before you proceed.'
conversion = Conversion(cluster, FsStorage())
if not conversion.check_prerequisites():

0 comments on commit 9236f4a

Please sign in to comment.